NAME

qld - minimal front-end to qlink
version 1.00
Sat 07th February 1998


SYNOPISIS

qld [option|file]...


DESCRIPTION

qld calls qlink or some other linker in order to link QObject files. It is necessary to interface between LCC and qlink, as LCC expects certain linker switches, and qlink understands others. qld converts between UNIX-style linker switches and qlink's switches.


OPTIONS

-o file
Name the linked executable as `file'. The default is `!RunImage'.
[Mapped to -o file].

-L dir
-Ldir
Specify a directory to be searched for libraries.
`dir' should effectively end in `.' or `:'.
[qld searches combinations of -L dirs and -l files for combinations which exist. ld then uses -lib file].

-l file
-lfile
Specifies the name of a library file.
Looks for files `file.q' and `libfile.q'
[see -L].

-M
Print a link map to stderr.
[Mapped to -map].

-Map file
Print a link map to `file'.
[Mapped to -symbols file].

-t
Print the names of the input files as the linker uses them.
[Mapped to -t].

-via file
file contains a list of object files to be linked.
[Mapped to -via file].

-v
Print the version of qld and qlink, and print the command used to link.
Second -v suppresses execution.
[Mapped to -v].

-B linker
-Blinker
Use the linker named linker instead of qlink.

-throwback
Use throwback.
[Mapped to -throwback].

Unknown options are passed straight to qlink.


BUGS

None known.
